System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 All dynamic members are not designed to be thread safe. System.Object System.Collections.IEnumerable System.ICloneable Iterates through a set of XPathNavigators. XPath allows the application to execute the query by walking through the canidate nodes. As you advance the iterator, the engine evaluates successive nodes, until it reaches one that satisfies the query. At this point, control returns to the application.
- Constructor
  The constructor.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Xml.XPath.XPathNodeIterator Clones this iterator. Returns a new XPathNodeIterator copy of this instance. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Returns the total cound of this node iterator. An integer value that represents the total count of the nodes. Since this class does not hold all the nodes but just holds current node information and the way to get following nodes in this iterator, to count the total number of the nodes it have to clone itself and count all the nodes up in the clone. Thus, reference to this property might lead to heavy performance loss. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XPath.XPathNavigator Represents the current node in shape of An instance that represents the current node.

  This XPathNavigator is safe to move until the next time was called.

  To use this property, must be called in prior. This property might return inconsistent value before the first call to that method. The behavior depends on each derived class of this class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 Represents the position in the current iterator. an integer value that represents the position.

  This property is typically used to evaluate equality in XPath predicate evaluation.

  Note: This property never means the position in the tree, but just means the position in this node iterator.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator To be added. To be added. To be added. 2.0.0.0
- Method
  System.Boolean Moves to the next node. True if it could iterate to the next node; False if it didn't have more nodes to be iterated.

  To start iteration, first this method must be called to get current node represented by property.

  Unlike XPathNavigator, this class does not have such methods like MovePrevious or something. XPathNodeIterator is not designed to hold all the nodes in the class itself and thus this class saves heavy memory usage.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0